Subject: Re: [PATCH] Break 'budget' dependency on netdev_max_backlog.

From: Ben Greear <[email-masked]>
Date: Tue, 22 Oct 2002 21:00:59 -0700

jamal wrote:

> What i recall is 64 was a good number and thats why we had it as default.
> I cant remember who changed the value to 16(Robert?), but it does seem to
> be a good value as well. If that was the only driver and it had a lot of
> packets, it would still get to use all the 300 packets in the budget; it
> will just have to do it in 300/16 times ..

Is there any way to influence how often the poll loop gets run?

I'll have a patch to set the weight via IOCTL soon....

Thanks,
Ben

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear